Name:          htmlunit-core-js
Version:       2.8
Release:       %mkrel 1
Summary:       GUI-Less browser for Java programs - JavaScript engine
Group:         Development/Java
License:       MPL
Url:           http://htmlunit.sourceforge.net/
# svn co https://htmlunit.svn.sourceforge.net/svnroot/htmlunit/tags/core-js-2.8/ htmlunit-core-js-2.8
# tar czf htmlunit-core-js-2.8-src-svn.tar.gz htmlunit-core-js-2.8
Source0:       htmlunit-core-js-2.8-src-svn.tar.gz
Patch0:        htmlunit-core-js-2.8-junit.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit4

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
HtmlUnit is a "GUI-Less browser for Java programs". It models HTML documents
and provides an API that allows you to invoke pages, fill out forms, click
links, etc... just like you do in your "normal" browser.
.
It has fairly good JavaScript support (which is constantly improving) and is
able to work even with quite complex AJAX libraries, simulating either Firefox
or Internet Explorer depending on the configuration you want to use.
.
It is typically used for testing purposes or to retrieve information from web
sites.
.
HtmlUnit is not a generic unit testing framework. It is specifically a way to
simulate a browser for testing purposes and is intended to be used within
another testing framework such as JUnit or TestNG.
.
This package contains the JavaScript intepreter, based on the Rhino engine.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

for j in $(find . -name "*.jar" -o -name "CVS" -o -name ".svn"); do
  rm -rf $j
done

%patch0 -p0

%build

ant jar-all

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt MPL-1.1.html README.txt


%changelog

* Mon Nov 07 2011 gil <gil> 2.8-1.mga2
+ Revision: 165058
- imported package htmlunit-core-js

